Skip to content
GBG Documents & Biometrics Documentation

/EnhancedLiveness/id

POST
/EnhancedLiveness/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/EnhancedLiveness/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form PacketId=example \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

The Enhanced Liveness service detects the most threatening attack vectors: virtual cameras, external devices, browser attacks, network attacks. The service is able to stop a variety of attack content: 3D rendering, face morphing, face swap, cheap fake, deep fake.

Documents and Biometrics Core Enhanced Liveness endpoint allows for an encrypted packet containing photograph and the environment metadata to be uploaded for processing to determine the probability that the end user was present at the time of capture, and also detect any threatening injection attacks (Please reach out to your support representative for the “Documents Biometrics Liveness Guide” for further guidance on authentication). The endpoint will return a result after processing. The response contains CaptureScore, in the range of 0 to 1 and LivenessScore in the range of 0 to 100. The results is a score value between 0 and 100, with a score of 50 and above been considered a pass.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
PacketId

Gets and sets the id of cached Packet ID.

string
AdditionalDetails

Key value pair to include any additional metadata for the request.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted Encrypted packet.This code does not indicate a success on the enhanced liveness detection of the request packet itself but rather a success on the call to the endpoint.The Enhanced Liveness detection result is in the response body (See Response Body section below).

Enhanced Liveness by ID response from the service.

object
correlationId
string
nullable
captureScore

Captures the Liveness score. Accepted values are in the range between 0 - 1.

number format: double
livenessScore

Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.

integer format: int32
result

Enhanced Liveness result as pass or fail based on the attack probability. Score of 50 and above is considered a pass.

string
nullable
additionalDetails

Additional details provided by the liveness provider. It might contain information such as extracted image ID or other metadata.

object
key
additional properties
string
nullable
extractedImageId

GUID representing the extracted image ID.

string
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Not Found

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable